Fix (harmless) typo in head.S early level2 page table

The global bit  was not set in the first 2MB page, instead
it had a bit in the free AVL section which is useless.
Fixed thus.

Noticed by Eric Biederman

Cc:  Eric W. Biederman <ebiederm@xmission.com> 

Signed-off-by: Andi Kleen <ak@suse.de>

Index: linux/arch/x86_64/kernel/head.S
===================================================================
--- linux.orig/arch/x86_64/kernel/head.S
+++ linux/arch/x86_64/kernel/head.S
@@ -270,7 +270,7 @@ ENTRY(level3_kernel_pgt)
 .org 0x4000
 ENTRY(level2_ident_pgt)
 	/* 40MB for bootup. 	*/
-	.quad	0x0000000000000283
+	.quad	0x0000000000000183
 	.quad	0x0000000000200183
 	.quad	0x0000000000400183
 	.quad	0x0000000000600183
